org.eclipse.ease.lang.unittest.runtime

## Interface IMetadata

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, IStackTraceContainer, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  Metadata

    public interface IMetadata
    extends IStackTraceContainer

A representation of the model object 'Metadata'.

The following features are supported:

- `Key`
- `Value`

See Also:
  `IRuntimePackage.getMetadata()`

### Method Summary

All Methods Instance Methods Abstract Methods
`java.lang.String` `getKey()` Returns the value of the 'Key' attribute.
`java.lang.Object` `getValue()` Returns the value of the 'Value' attribute.
`void` `setKey(java.lang.String value)` Sets the value of the '`Key`' attribute.
`void` `setValue(java.lang.Object value)` Sets the value of the '`Value`' attribute.

### Methods inherited from interface org.eclipse.ease.lang.unittest.runtime.IStackTraceContainer

`getStackTrace, setStackTrace`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

### Method Detail

#### getKey

    java.lang.String getKey()

Returns the value of the 'Key' attribute.

If the meaning of the 'Key' attribute isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Key' attribute.
See Also:
  `setKey(String)`, `IRuntimePackage.getMetadata_Key()`

#### setKey

    void setKey(java.lang.String value)

Sets the value of the '`Key`' attribute.

Parameters:
  `value` - the new value of the 'Key' attribute.
See Also:
  `getKey()`

#### getValue

    java.lang.Object getValue()

Returns the value of the 'Value' attribute.

If the meaning of the 'Value' attribute isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Value' attribute.
See Also:
  `setValue(Object)`, `IRuntimePackage.getMetadata_Value()`

#### setValue

    void setValue(java.lang.Object value)

Sets the value of the '`Value`' attribute.

Parameters:
  `value` - the new value of the 'Value' attribute.
See Also:
  `getValue()`